import logging

from .enumerations import AckType
from .enumerations import ActionType
from .enumerations import ClimateType
from .enumerations import DehumidifierMode
from .enumerations import EquipmentStatus
from .enumerations import EventType
from .enumerations import ExtendedHvacMode
from .enumerations import FanMode
from .enumerations import HoldType
from .enumerations import HouseStyle
from .enumerations import HumidifierMode
from .enumerations import HvacMode
from .enumerations import OutputType
from .enumerations import Owner
from .enumerations import PlugState
from .enumerations import RemoteSensorCapabilityType
from .enumerations import RemoteSensorType
from .enumerations import Scope
from .enumerations import SelectionType
from .enumerations import SensorType
from .enumerations import SensorUsage
from .enumerations import StateType
from .enumerations import ThermostatModelNumber
from .enumerations import VentilatorMode
from .exceptions import EcobeeException
from .exceptions import EcobeeApiException
from .exceptions import EcobeeAuthorizationException
from .exceptions import EcobeeHttpException
from .exceptions import EcobeeRequestsException
from .objects.action import Action
from .objects.alert import Alert
from .objects.climate import Climate
from .objects.demand_management import DemandManagement
from .objects.demand_response import DemandResponse
from .objects.device import Device
from .objects.electricity import Electricity
from .objects.electricity_device import ElectricityDevice
from .objects.electricity_tier import ElectricityTier
from .objects.equipment_setting import EquipmentSetting
from .objects.event import Event
from .objects.extended_runtime import ExtendedRuntime
from .objects.function import Function
from .objects.general_setting import GeneralSetting
from .objects.group import Group
from .objects.hierarchy_privilege import HierarchyPrivilege
from .objects.hierarchy_set import HierarchySet
from .objects.hierarchy_user import HierarchyUser
from .objects.house_details import HouseDetails
from .objects.limit_setting import LimitSetting
from .objects.location import Location
from .objects.management import Management
from .objects.meter_report import MeterReport
from .objects.meter_report_data import MeterReportData
from .objects.notification_settings import NotificationSettings
from .objects.output import Output
from .objects.page import Page
from .objects.program import Program
from .objects.remote_sensor import RemoteSensor
from .objects.remote_sensor_capability import RemoteSensorCapability
from .objects.runtime import Runtime
from .objects.runtime_report import RuntimeReport
from .objects.runtime_sensor_metadata import RuntimeSensorMetadata
from .objects.runtime_sensor_report import RuntimeSensorReport
from .objects.security_settings import SecuritySettings
from .objects.selection import Selection
from .objects.sensor import Sensor
from .objects.settings import Settings
from .objects.state import State
from .objects.status import Status
from .objects.technician import Technician
from .objects.thermostat import Thermostat
from .objects.user import User
from .objects.utility import Utility
from .objects.version import Version
from .objects.weather import Weather
from .objects.weather_forecast import WeatherForecast
from .response import Response
from .response import AuthorizeResponse
from .response import ErrorResponse
from .response import MeterReportResponse
from .response import RuntimeReportResponse
from .response import ThermostatResponse
from .response import ThermostatSummaryResponse
from .response import TokensResponse
from .response import UpdateThermostatResponse
from .service import EcobeeService

try:  # Python 2.X
    from logging import NullHandler
except ImportError:
    class NullHandler(logging.Handler):
        def emit(self, record):
            pass

logging.getLogger(__name__).addHandler(NullHandler())
